import request from '@/utils/request'

export function getpVendorList(query) {
  return request({
    url: '/pum/vendor/',
    method: 'get',
    params: query
  })
}
export function createVendor(data) {
  return request({
    url: '/pum/vendor/',
    method: 'post',
    data
  })
}
export function updateVendor(id, data) {
  return request({
    url: `/pum/vendor/${id}/`,
    method: 'put',
    data
  })
}
export function deleteVendor(id, data) {
  return request({
    url: `/pum/vendor/${id}/`,
    method: 'delete',
    data
  })
}
